Re: arm/arm64 perf build issue with mainline

From: Jiri Olsa
Date: Mon Apr 27 2015 - 14:41:31 EST


On Mon, Apr 27, 2015 at 03:39:53PM -0300, Arnaldo Carvalho de Melo wrote:
> Em Mon, Apr 27, 2015 at 07:49:06PM +0200, Jiri Olsa escreveu:
> > On Mon, Apr 27, 2015 at 02:40:17PM -0300, Arnaldo Carvalho de Melo wrote:
> > > Em Mon, Apr 27, 2015 at 11:13:02AM -0600, David Ahern escreveu:
> > > >
> > > > I think the right thing to do is to remove JOBS completely.
> > >
> > > That is up for discussion, Ingo, Jiri, Namhyung, others?
> > >
> > > > Barring that use of getconf with a fallback to grepping /proc/cpuinfo.
> > >
> > > Ok, but no patch so far doing that, right? 8-)
> >
> > heh, I've got the idea that you're preparing something ;-)
> >
> > as for me I've got used to the automatic -jX being added,
> > so I'd prefer we fix that JOBS setup for arm
> >
> > I'll try to send something ;-)
>
> [acme@ssdandy linux]$ (getconf _NPROCESSORS_ONLN || egrep -c '^processor|^CPU' /proc/cpuinfo) 2>/dev/null
> 8
> [acme@ssdandy linux]$ (not-found-getconf _NPROCESSORS_ONLN || egrep -c '^processor|^CPU' /proc/cpuinfo) 2>/dev/null
> 8
> [acme@ssdandy linux]$
>

how about this one

jirka

---
diff --git a/tools/perf/Makefile b/tools/perf/Makefile
index c699dc35eef9..ed79b10de1d6 100644
--- a/tools/perf/Makefile
+++ b/tools/perf/Makefile
@@ -24,7 +24,7 @@ unexport MAKEFLAGS
# (To override it, run 'make JOBS=1' and similar.)
#
ifeq ($(JOBS),)
- JOBS := $(shell egrep -c '^processor|^CPU' /proc/cpuinfo 2>/dev/null)
+ JOBS := $(shell ./ncpus.sh)
ifeq ($(JOBS),0)
JOBS := 1
endif
diff --git a/tools/perf/ncpus.sh b/tools/perf/ncpus.sh
new file mode 100755
index 000000000000..4466b657336b
--- /dev/null
+++ b/tools/perf/ncpus.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -x
+
+GETCONF=`which getconf 2>/dev/null`
+if [ $? -eq 0 ]; then
+ $GETCONF _NPROCESSORS_ONLN
+ exit 0
+fi
+
+egrep -c '^processor|^CPU[0-9]' /proc/cpuinfo 2>/dev/null
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/